import json

# 加载 JSON 文件
def load_json(file_path):
    with open(file_path, 'r') as f:
        return json.load(f)

# 计算 is_correct 为 True 的数量
def count_true_ids(data):
    return sum(1 for item in data if item.get("is_correct") == True)

if __name__ == "__main__":
    # 假设 JSON 文件路径为 'input.json'
    input_file = '/root/autodl-fs/prm/prm800k/prm800k/grading/frenchresults.json'  # 替换为你的 JSON 文件路径
    data = load_json(input_file)

    # 计算 is_correct 为 True 的数量
    true_count = count_true_ids(data)

    # 输出结果
    print(f"True count: {true_count}")
